> For the complete documentation index, see [llms.txt](https://docs.ante.finance/ante/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ante.finance/ante/v05/for-devs/deploying-an-ante-test.md).

# Deploying an Ante Test

If you are comfortable deploying your own Ante Test, you can follow the instructions below.

## Deploying your Ante Test

After you've written an Ante Test and are ready to deploy to Mainnet, deploy it with your favorite method and save the address!

&#x20;[For more details, see our detailed tutorial.](/ante/v05/for-devs/deploying-an-ante-test/deploy-an-ante-test.md)

## Create an Ante Pool

After deploying, you can use our `AntePoolFactory` to generate a non-custodial `AntePool` instance on mainnet (note: this will cost gas fees).&#x20;

We have an[ additional tutorial ](/ante/v05/for-devs/deploying-an-ante-test/create-an-ante-pool.md)on that.

## Staking the Ante Test

Finally, if you want to show the community you have skin in the game, [learn how to stake your Ante Test](/ante/v05/using-ante/how-to-stake.md), and how to further [integrate Ante into your website](/ante/v05/for-devs/integrate-ante.md), web-app, or more.

And if you have questions, feel free to [contact our team](/ante/v05/about/faqs.md#contact).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ante.finance/ante/v05/for-devs/deploying-an-ante-test.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
